Subject: bug#607: 23.0.60; grep -w & grep-highlight-matches

From: Chong Yidong <[email-masked]>
Date: Thu, 14 Aug 2008 13:19:26 -0400

> After I add '-w' to the grep arguments, next-error in *grep* can't
> open the file, apparently because some sort of terminal code is
> prepended to the filename (e.g. [00m/Users/gwp/.emacs).  Oddly
> enough, next-error works the first time it is called, but not

I can't reproduce this.  Here's what I tried:

emacs -q
M-x grep RET
DEL DEL w article ~/*
   [minibuffer contains `grep -nH -w article ~/*']
RET
C-x `
C-x `
C-x `

Each of these calls to next-error correctly send me to subsequent
occurrences of the word "article" in files in my home directory.

Could you provide a more detailed recipe to demonstrate the problem?